# Uses of Enum Class
org.bukkit.entity.Horse.Style

Packages that use Horse.Style
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Horse.Style in org.bukkit.entity

Methods in org.bukkit.entity that return Horse.Style
Modifier and Type
Method
Description
`@NotNull Horse.Style`
Horse.`getStyle()`
Gets the horse's style.
`static Horse.Style`
Horse.Style.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Horse.Style[]`
Horse.Style.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Horse.Style
Modifier and Type
Method
Description
`void`
Horse.`setStyle(@NotNull Horse.Style style)`
Sets the style of this horse.